Subject: bug#60623: 30.0.50; Add forward-sentence with tree sitter support

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Jan 2023 21:57:51 +0200

> From: Theodor Thornhill <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> Date: Sun, 08 Jan 2023 20:35:58 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Theodor Thornhill <[email-masked]>
> >> Cc: [email-masked], [email-masked], [email-masked],
> >>  [email-masked],Juri Linkov <[email-masked]>
> >> Date: Sun, 08 Jan 2023 14:29:08 +0100
> >> 
> >> @Eli, what doc changes do you see as needed here?
> >
> > More or less.  They need some polishing, like a few words about what
> > does "sentence" mean in the tree-sitter context.  But we can make
> > these changes after this is in the repository.
> >
> > Thanks.
> 
> 
> Ok, so in other words, this patch is good to go?

Yes, I think so.

> I omitted the additions to java-ts-mode and c-ts-mode.  I can make a
> separate commit to add some values that makes sense for multiple modes
> after?

SGTM.

> Will the changes to the manual lie in "26.2 Sentences"? in the Emacs
> manual?

No, because these are not really sentences in some human-readable
language, these are program parts.  As such they should be somewhere
under "27 Programs", possibly in "Defuns".

However, "Sentences" might mention that programming modes have their
own interpretation of "sentence" and corresponding movement commands.